org.apache.ignite.internal.util.nio

## Class GridNioEmbeddedFuture<R>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.nio.GridNioFutureImpl<R>
    - - org.apache.ignite.internal.util.nio.GridNioEmbeddedFuture<R>

All Implemented Interfaces:
  IgniteInternalFuture<R>, GridNioFuture<R>

    public class GridNioEmbeddedFuture<R>
    extends GridNioFutureImpl<R>

Future that delegates to some other future.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.nio.GridNioFutureImpl

`ackC`

### Constructor Summary

Constructors
Constructor and Description
`GridNioEmbeddedFuture()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDone(GridNioFuture<R> res)` Callback to notify that future is finished.
`void` `onDone(@Nullable GridNioFuture<R> delegate, @Nullable Throwable err)` Callback to notify that future is finished.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.nio.GridNioFutureImpl

`ackClosure, messageThread, messageThread, onAckReceived, skipRecovery`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridNioEmbeddedFuture

    public GridNioEmbeddedFuture()

### Method Detail

#### onDone

    public final void onDone(GridNioFuture<R> res)

Callback to notify that future is finished. This method must delegate to `onDone(GridNioFuture, Throwable)` method.

Parameters:
  `res` - Result.

#### onDone

    public void onDone(@Nullable
                       @Nullable GridNioFuture<R> delegate,
                       @Nullable
                       @Nullable Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Parameters:
  `delegate` - Optional result.
  `err` - Optional error.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridNioFutureImpl<R>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021